import React, {
	Component
} from 'react';
import {
	observer
} from 'mobx-react';
import {
	WeaRightMenu
} from 'ecCom';
import {
	WeaTableNew
} from 'comsMobx';
import {
	i18n
} from '../../public/i18n';
const {
	WeaTable
} = WeaTableNew;

@observer
export default class DataList extends Component {
	constructor(props) {
		super(props);
	}

	componentDidMount() {}

	componentWillReceiveProps(nextProps) {}

	render() {
		const {
			rightMenu,
			store
		} = this.props;
		const {
			table
		} = store;
		return (
			<WeaRightMenu ecId={`${this && this.props && this.props.ecId || ''}_WeaRightMenu@l3ka28`} datas={rightMenu}>
				<WeaTable ecId={`${this && this.props && this.props.ecId || ''}_WeaTable@x6g61b`}
                    comsWeaTableStore={table}
                    hasOrder={true}
                    needScroll={true}
                />
            </WeaRightMenu>
		)
	}
}